Bug 509049 - Request for Feature Enhancement
Request for Feature Enhancement
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 22:21 EDT by Abed-nego G. Escobal, Jr.
Modified: 2013-02-25 13:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 13:22:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for /drivers/usb/serial/option.c (2.16 KB, patch)
2009-07-21 10:15 EDT, Alan Bartlett
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 3714 None None None Never

  None (edit)
Description Abed-nego G. Escobal, Jr. 2009-06-30 22:21:34 EDT
Description of problem:

Huawei E160E usb modem is not supported

# grep -i 12d1 /lib/modules/*/modules.alias | grep 1003

yields nothing

Version-Release number of selected component (if applicable):


How reproducible:
Very

Steps to Reproduce:
1. Plug the device
2.
3.
  
Actual results:
no /dev/ttyUSBN is created

# grep -i 12d1 /lib/modules/*/modules.alias | grep 1003

yields nothing

Expected results:
/dev/ttyUSBN must be created


Additional info:
The driver is currently available in Fedora 11

# grep -i 12d1 /lib/modules/*/modules.alias | grep 1003

/lib/modules/2.6.29.4-167.fc11.i686.PAE/modules.alias:alias usb:v12D1p1003d0000dc*dsc*dp*ic*isc*ip* usb_storage
/lib/modules/2.6.29.4-167.fc11.i686.PAE/modules.alias:alias usb:v12D1p1003d*dc*dsc*dp*icFFiscFFipFF* option
/lib/modules/2.6.29.5-191.fc11.i686.PAE/modules.alias:alias usb:v12D1p1003d0000dc*dsc*dp*ic*isc*ip* usb_storage
/lib/modules/2.6.29.5-191.fc11.i686.PAE/modules.alias:alias usb:v12D1p1003d*dc*dsc*dp*icFFiscFFipFF* option
Comment 1 Will 2009-07-01 08:09:59 EDT
(In reply to comment #0)
Description of problem:
 
Huawei E220 usb modem is not supported
 
# grep -i 12d1 /lib/modules/*/modules.alias | grep 1003
 
this produces no output
 
Steps to Reproduce:
1. Plug the device
2. Check /dev and there is no ttyUSB devices.

# ll /dev/ttyUSB*
ls: /dev/ttyUSB*: No such file or directory

3. Output of lsusb
Bus 001 Device 001: ID 0000:0000  
Bus 002 Device 001: ID 0000:0000  
Bus 003 Device 002: ID 12d1:1003 Huawei Technologies Co., Ltd. E220 HSDPA Modem / E270 HSDPA/HSUPA Modem
Bus 003 Device 001: ID 0000:0000  
Bus 004 Device 001: ID 0000:0000  

As no /dev/ttyUSB device is created, the modem will not work with Network Manager or a wvdialup script.
Comment 2 Phil Schaffner 2009-07-01 10:25:18 EDT
Added External Bug report for CentOS.
Comment 3 Alan Bartlett 2009-07-21 10:15:32 EDT
Created attachment 354488 [details]
Patch for /drivers/usb/serial/option.c

This patch has been created by back-porting the relevant code fragments from /drivers/usb/serial/option.c existing in the mainline kernel-2.6.21.

Note You need to log in before you can comment on or make changes to this bug.